Skip to content

Update identity source connection

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Update the identity source connection, you can set the identity source icon, whether to support login only, etc.

Method name

ManagementClient.update_ext_idp_conn

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
fieldsobjectYes-Identity source connection custom parameters (incremental modification){"clientId":"clientId"}
displayNamestringYes-Identity source connection display nameexampleName
idstringYes-Identity source connection ID60b49eb83fd80adb96f26e68
logostringno-Icon for identity source connectionhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
loginOnlybooleanno-Whether to support login only
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Request Response

Type: ExtIdpConnDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Data Structure

ExtIdpConnDetail

NameTypeIs it required?DescriptionSample value
idstringYesIdentity source connection id60b49eb83fd80adb96f26e68
typestringYesIdentity source connection typeoidc
extIdpIdstringYesIdentity source ID6318061be13c0ce6a64093e5
logostringYesIdentity source connection iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
identifierstringNoIdentity source connection identifier60b49eb83fd80adb96f26e68
displayNamestringNoDisplay name of the identity source connection on the login pageLoginPage
loginOnlybooleanYesWhether to support only logintrue
associationModestringYesAccount association modenone
challengeBindingMethodsarrayYesAccount binding method["email-password"]

Agent infrastructure for identity, memory, and web action.